from __future__ import annotations

import click

import pycage.clean
import pycage.compile
import pycage.files
import pycage.get
import pycage.venv


@click.group(help="CLI to download and manage Python standalone distributions")
def cli():
    pass


cli.add_command(pycage.get.get)
cli.add_command(pycage.venv.venv)
cli.add_command(pycage.files.copy)
cli.add_command(pycage.compile.compile)
cli.add_command(pycage.clean.clean)

if __name__ == "__main__":
    cli()
